
import React from 'react';
import Icon from 'react-icon-base';

const SlGameController = props => (
    <Icon viewBox="0 0 1024 1024" {...props}>
        <g><path transform="scale(1, -1) translate(0, -960)" d="M743.216 884.448c-25.5996 12.0156 -49.8057 23.3281 -71.8379 34.3838c-56.4639 28.2881 -107.664 42.0322 -156.464 42.0322c-98.2881 0 -166.304 -56.7041 -208.96 -99.3604l-206.848 -207.072c-110.688 -110.8 -128.368 -223.6 -57.2646 -365.808 c11.0244 -22.0801 22.3682 -46.3359 34.3682 -72.0322c64.7041 -138.384 131.584 -281.487 241.056 -281.487c3.07227 0 6.1123 0.0957031 9.21582 0.335938c112.976 8.84766 145.023 154.288 173.312 282.592c4.49609 20.3203 8.75195 39.8086 13.1201 57.2803 c7.59961 30.208 22.5596 48.9756 63.5518 90.0635l5.63184 5.66406l3.47168 3.47168l9.12012 9.08789c41.0879 41.0879 59.8555 56.0322 90.0957 63.6641c17.3115 4.35156 36.752 8.63965 57.0244 13.0879c128.224 28.3037 273.6 60.3682 282.399 173.521 c8.87988 114.832 -138.464 183.84 -280.992 250.575zM958.466 639.665c-6.22363 -79.7764 -184.813 -103.324 -291.102 -129.98c-47.0078 -11.8721 -75.6162 -36.752 -118.784 -79.9355c-3.00781 -3.00781 -6.03223 -6.01562 -9.08789 -9.07129 c-3.02441 -3.02441 -6.03223 -6.09668 -9.05664 -9.08887c-43.168 -43.2158 -68 -71.8076 -79.8242 -118.88c-26.6719 -106.384 -50.1914 -285.168 -129.871 -291.44c-1.44043 -0.112305 -2.88086 -0.144531 -4.32129 -0.144531c-84.5439 0 -155.68 192.24 -218.447 317.664 c-63.7441 127.504 -36.4326 210.224 45.3594 292.096c15.6963 15.7275 35.2158 35.2471 59.1357 59.1826c24.4316 24.4639 53.4873 53.5518 87.9189 88c23.9043 23.9355 43.4082 43.4238 59.1201 59.1836c50.7998 50.8477 101.936 80.6396 163.92 80.6396 c37.8076 0 79.6318 -11.0557 127.872 -35.248c127.456 -63.9043 323.888 -136.48 317.168 -222.978zM478.788 608.725h64v64h-64v-64zM478.788 704.725h64v64h-64v-64zM574.788 704.725h64v64h-64v-64zM574.788 608.725h64v64h-64v-64zM329.893 416.564l24.3359 24.3359 c12 12 12 31.4717 0 43.4561c-12 12 -31.4404 12 -43.4404 0l-24.3516 -24.3516l-24.3516 24.3516c-12 12 -31.4404 12 -43.4404 0s-12 -31.4561 0 -43.4561l24.3516 -24.3516l-24.3516 -24.3516c-12 -11.9844 -12 -31.4404 0 -43.4404s31.4561 -12 43.4404 0 l24.3516 24.3359l25.0557 -25.0557c12 -12 31.4404 -12 43.4404 0s12 31.4717 0 43.4717z"/></g>
    </Icon>
);

export default SlGameController;
